Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

x/tools/cmd/gopls: doesn't support Go 1.10; ti.EmbeddedType undefined #31693

Closed
chew351 opened this issue Apr 26, 2019 · 5 comments
Closed

x/tools/cmd/gopls: doesn't support Go 1.10; ti.EmbeddedType undefined #31693

chew351 opened this issue Apr 26, 2019 · 5 comments

Comments

@chew351
Copy link

@chew351 chew351 commented Apr 26, 2019

What version of Go are you using (go version)?

$ go version
go version go1.10.4 linux/amd64


Does this issue reproduce with the latest release?

yes, it can always reproduce

What operating system and processor architecture are you using (go env)?

go env Output
$ go env


go env
GOARCH="amd64"
GOBIN=""
GOCACHE="/root/.cache/go-build"
GOEXE=""
GOHOSTARCH="amd64"
GOHOSTOS="linux"
GOOS="linux"
GOPATH="/root/go"
GORACE=""
GOROOT="/usr/lib/go-1.10"
GOTMPDIR=""
GOTOOLDIR="/usr/lib/go-1.10/pkg/tool/linux_amd64"
GCCGO="gccgo"
CC="gcc"
CXX="g++"
CGO_ENABLED="1"
CGO_CFLAGS="-g -O2"
CGO_CPPFLAGS=""
CGO_CXXFLAGS="-g -O2"
CGO_FFLAGS="-g -O2"
CGO_LDFLAGS="-g -O2"
PKG_CONFIG="pkg-config"
GOGCCFLAGS="-fPIC -m64 -pthread -fmessage-length=0 -fdebug-prefix-map=/tmp/go-build779563939=/tmp/go-build -gno-record-gcc-switches"

What did you do?

I just git clone https://github.com/golang/tools.git, and want to build gopls, but failed,
my OS is ubuntu 18

What did you expect to see?

What did you see instead?

@gopherbot gopherbot added the gopls label Apr 26, 2019
@stamblerre
Copy link
Contributor

@stamblerre stamblerre commented Apr 26, 2019

We typically only support the current and previous Go versions (1.12 and 1.11) in the x/tools repository. However, maybe I can investigate adding Go 1.10 support in this case. Is there a reason you are still using Go 1.10?

@bradfitz bradfitz changed the title go install golang.org/x/tools/cmd/gopls # golang.org/x/tools/internal/lsp/source golang.org/x/tools/internal/lsp/source/symbols.go:226:18: ti.EmbeddedType undefined (type *types.Interface has no field or method EmbeddedType) x/tools/cmd/gopls: ti.EmbeddedType undefined Apr 26, 2019
@bradfitz bradfitz changed the title x/tools/cmd/gopls: ti.EmbeddedType undefined x/tools/cmd/gopls: doesn't support Go 1.10; ti.EmbeddedType undefined Apr 26, 2019
@gopherbot gopherbot added this to the Unreleased milestone Apr 26, 2019
@dlech
Copy link

@dlech dlech commented Apr 29, 2019

Is there a reason you are still using Go 1.10?

It is the version that is packaged with Ubuntu 18.04.

@chew351
Copy link
Author

@chew351 chew351 commented Apr 29, 2019

@chew351
Copy link
Author

@chew351 chew351 commented Apr 29, 2019

@stamblerre
Copy link
Contributor

@stamblerre stamblerre commented Apr 29, 2019

I apologize, but we've decided that we will not be supporting Go versions <= 1.10 in gopls. gopls is built on top of go/packages, which does not support Go 1.10, so we won't be able to fully support it. I recommend upgrading to the latest Go version.

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
5 participants
You can’t perform that action at this time.